<!-- Toolbar -->
<div class="toolbar" role="banner">
    <mat-icon class="m-2">currency_exchange</mat-icon>
   <span>Welcome to money converter</span>
</div>

<div class="container main-margin">

  <mat-card>
    <div class="row">
      <div class="col-12 p-5">
        <h1>Exchange rate: {{ exchangeRate }}</h1>
      </div>
    </div>

    <div class="row col-12 text-center">
      <div class="col-4">
        <mat-form-field>
          <mat-label>From currency</mat-label>
          <mat-select [(value)]="fromCurrency" disabled>
            <mat-option value="USD">USD - US Dollar</mat-option>
            <mat-option value="EUR">EUR - EURO</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="col-4">
        <button mat-mini-fab color="primary" (click)="switchCurrency()" aria-label="switch cuurency selection">
          <mat-icon>autorenew</mat-icon>
        </button>
      </div>
      <div class="col-4">
        <mat-form-field>
          <mat-label>To currency</mat-label>
          <mat-select [(value)]="toCurrency" disabled>
            <mat-option value="USD">USD - US Dollar</mat-option>
            <mat-option value="EUR">EUR - EURO</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

    </div>

    <div class="row col-12 text-center">
      <div class="col-4">
        <mat-form-field>
          <mat-label>From {{getSymbol(fromCurrency)}}</mat-label>
          <input matInput type="number" [(ngModel)]="amountToConvert">
        </mat-form-field>
      </div>

      <div class="col-4">
        <button mat-mini-fab color="primary">
          <mat-icon>arrow_forward</mat-icon>
        </button>
      </div>

      <div class="col-4">
        <mat-form-field>
          <mat-label>To {{getSymbol(toCurrency)}}</mat-label>
          <input matInput type="number" [(ngModel)]="convertedAmount">
        </mat-form-field>
      </div>
    </div>

    <div class="col-12 text-center">
      <mat-form-field>
        <mat-label>Fix exchange rate :</mat-label>
        <input matInput type="number" [(ngModel)]="fixedExchangeRate">
      </mat-form-field>
    </div>

  </mat-card>


  <mat-card class="mt-2">
    <table mat-table [dataSource]="convertionHistory" class="mat-elevation-z8">
      <ng-container matColumnDef="realRate">
        <th mat-header-cell *matHeaderCellDef> Exchange rate </th>
        <td mat-cell *matCellDef="let element"> {{element.realRate}} </td>
      </ng-container>

      <ng-container matColumnDef="selectedRate">
        <th mat-header-cell *matHeaderCellDef> Selected rate </th>
        <td mat-cell *matCellDef="let element"> {{element.selectedRate}} </td>
      </ng-container>

      <ng-container matColumnDef="initialValue">
        <th mat-header-cell *matHeaderCellDef> initial value </th>
        <td mat-cell *matCellDef="let element"> {{element.initialValue}} {{ element.initialCurrency }}</td>
      </ng-container>

      <ng-container matColumnDef="calculatedValue">
        <th mat-header-cell *matHeaderCellDef> Converted value </th>
        <td mat-cell *matCellDef="let element"> {{element.calculatedValue}} {{ element.calculatedCurrency }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-card>

</div>
